<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Add Film</title>
</head>
<body>
<div layout:fragment="content">
  <h3 class="mt-3 mb-3">All films</h3>
  <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/films/add}" th:object="${filmForm}">
      <div class="mb-3">
        <label for="title" class="form-label">Title</label>
        <input name="title" type="text" class="from-control" id="title">
      </div>
      <div>
        <label for="premierYear" class="form-label">Premiere date</label>
        <input name="premierYear" type="text" class="from-control" id="premierYear">
      </div>
      <div class="mb-3">
        <label for="country" class="form-label">Country</label>
        <input name="country" type="text" class="from-control" id="country">
      </div>
      <div class="mb-3">
        <label for="genre" class="form-label">Genre</label>
        <select class="form-select" name="genre" id="genre">
          <option selected>Select a genre from the list:</option>
          <option th:each="genre : ${T(ru.sber.spring.java13springsu.filmography.model.Genre).values()}"
                  th:value="${genre}" th:text="${genre.getGenreDisplayValue()}"></option>
        </select>
      </div>
      <button type="submit" class="btn btn-primary">Added</button>
      <button type="button" class="btn btn-secondary" onclick="window.history.back()">Back</button>
  </form>
</div>
</body>
</html>